From: Masami Hiramatsu <mhiramat@kernel.org>
To: Steven Rostedt <rostedt@goodmis.org>, linux-kernel@vger.kernel.org
Cc: mhiramat@kernel.org, Ingo Molnar <mingo@redhat.com>,
Namhyung Kim <namhyung@kernel.org>,
Tom Zanussi <tom.zanussi@linux.intel.com>,
Arnaldo Carvalho de Melo <acme@kernel.org>,
linux-trace-users@vger.kernel.org,
linux-kselftest@vger.kernel.org, shuah@kernel.org
Subject: [PATCH v3 03/18] selftests: ftrace: Add a testcase for string type with kprobe_event
Date: Sat, 24 Feb 2018 14:29:50 +0900 [thread overview]
Message-ID: <151945019057.27508.10241383074659805761.stgit@devbox> (raw)
In-Reply-To: <151945010287.27508.6226184958678620828.stgit@devbox>
Add a testcase for string type with kprobe event.
This tests good/bad syntax combinations and also
the traced data is correct in several way.
Signed-off-by: Masami Hiramatsu <mhiramat@kernel.org>
---
.../ftrace/test.d/kprobe/kprobe_args_string.tc | 46 ++++++++++++++++++++
1 file changed, 46 insertions(+)
create mode 100644 tools/testing/selftests/ftrace/test.d/kprobe/kprobe_args_string.tc
diff --git a/tools/testing/selftests/ftrace/test.d/kprobe/kprobe_args_string.tc b/tools/testing/selftests/ftrace/test.d/kprobe/kprobe_args_string.tc
new file mode 100644
index 000000000000..5ba73035e1d9
--- /dev/null
+++ b/tools/testing/selftests/ftrace/test.d/kprobe/kprobe_args_string.tc
@@ -0,0 +1,46 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+# description: Kprobe event string type argument
+
+[ -f kprobe_events ] || exit_unsupported # this is configurable
+
+echo 0 > events/enable
+echo > kprobe_events
+
+case `uname -m` in
+x86_64)
+ ARG2=%si
+ OFFS=8
+;;
+i[3456]86)
+ ARG2=%cx
+ OFFS=4
+;;
+aarch64)
+ ARG2=%x1
+ OFFS=8
+;;
+arm*)
+ ARG2=%r1
+ OFFS=4
+;;
+*)
+ echo "Please implement other architecture here"
+ exit_untested
+esac
+
+: "Test get argument (1)"
+echo "p:testprobe create_trace_kprobe arg1=+0(+0(${ARG2})):string" > kprobe_events
+echo 1 > events/kprobes/testprobe/enable
+! echo test >> kprobe_events
+tail -n 1 trace | grep -qe "testprobe.* arg1=\"test\""
+
+echo 0 > events/kprobes/testprobe/enable
+: "Test get argument (2)"
+echo "p:testprobe create_trace_kprobe arg1=+0(+0(${ARG2})):string arg2=+0(+${OFFS}(${ARG2})):string" > kprobe_events
+echo 1 > events/kprobes/testprobe/enable
+! echo test1 test2 >> kprobe_events
+tail -n 1 trace | grep -qe "testprobe.* arg1=\"test1\" arg2=\"test2\""
+
+echo 0 > events/enable
+echo > kprobe_events
next prev parent reply other threads:[~2018-02-24 5:30 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-02-24 5:28 [PATCH v3 00/18] tracing: probeevent: Improve fetcharg features Masami Hiramatsu
2018-02-24 5:28 ` [PATCH v3 01/18] [BUGFIX] tracing: probeevent: Fix to support minus offset from symbol Masami Hiramatsu
2018-02-26 0:38 ` Namhyung Kim
2018-02-27 5:23 ` Masami Hiramatsu
2018-02-24 5:29 ` [PATCH v3 02/18] selftests: ftrace: Add probe event argument syntax testcase Masami Hiramatsu
2018-02-24 5:29 ` Masami Hiramatsu [this message]
2018-02-24 5:30 ` [PATCH v3 04/18] tracing: probeevent: Cleanup print argument functions Masami Hiramatsu
2018-02-24 5:30 ` [PATCH v3 05/18] tracing: probeevent: Cleanup argument field definition Masami Hiramatsu
2018-02-24 5:31 ` [PATCH v3 06/18] tracing: probeevent: Remove NOKPROBE_SYMBOL from print functions Masami Hiramatsu
2018-02-24 5:31 ` [PATCH v3 07/18] tracing: probeevent: Introduce new argument fetching code Masami Hiramatsu
2018-02-24 5:32 ` [PATCH v3 08/18] tracing: probeevent: Unify fetch type tables Masami Hiramatsu
2018-02-24 5:32 ` [PATCH v3 09/18] tracing: probeevent: Return consumed bytes of dynamic area Masami Hiramatsu
2018-02-24 5:33 ` [PATCH v3 10/18] tracing: probeevent: Append traceprobe_ for exported function Masami Hiramatsu
2018-02-24 5:33 ` [PATCH v3 11/18] tracing: probeevent: Unify fetch_insn processing common part Masami Hiramatsu
2018-02-24 5:34 ` [PATCH v3 12/18] tracing: probeevent: Add symbol type Masami Hiramatsu
2018-02-24 5:34 ` [PATCH v3 13/18] x86: ptrace: Add function argument access API Masami Hiramatsu
2018-02-24 5:35 ` [PATCH v3 14/18] tracing: probeevent: Add $argN for accessing function args Masami Hiramatsu
2018-02-24 5:35 ` [PATCH v3 15/18] tracing: probeevent: Add array type support Masami Hiramatsu
2018-02-26 1:45 ` Namhyung Kim
2018-02-26 10:16 ` Masami Hiramatsu
2018-02-24 5:36 ` [PATCH v3 16/18] selftests: ftrace: Add a testcase for symbol type Masami Hiramatsu
2018-02-24 5:36 ` [PATCH v3 17/18] selftests: ftrace: Add a testcase for $argN with kprobe_event Masami Hiramatsu
2018-02-24 5:37 ` [PATCH v3 18/18] selftests: ftrace: Add a testcase for array type " Masami Hiramatsu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=151945019057.27508.10241383074659805761.stgit@devbox \
--to=mhiramat@kernel.org \
--cc=acme@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-kselftest@vger.kernel.org \
--cc=linux-trace-users@vger.kernel.org \
--cc=mingo@redhat.com \
--cc=namhyung@kernel.org \
--cc=rostedt@goodmis.org \
--cc=shuah@kernel.org \
--cc=tom.zanussi@linux.intel.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox